int w = 400;
int h = 400;

color [][] colors2D; //2D array
color []colors1D;    //equivalent 1D array 

void setup() {
   size(w, h);
   
   colors2D = new int[w][h];
   colors1D = new int[w*h];
   
   //initialize arrays with nested for loop
   for(int i = 0; i< width; i++){
    for(int j = 0; j < height; j++){
      //*/ Noise
      colors2D[i][j] = color(floor(random(255))); // i = column, j = row
      colors1D[w*j + i] = color(floor(random(255))); // w*j = start of row, i = column
      //*/
      /*/ Gradient
      colors2D[i][j] = floor(((float)j/height)*255);
      colors1D[w*j + i] = floor(((float)j/height)*255);
      //*/
      /*/ Gradient (using map)
      colors2D[i][j] = floor(map(j, 0, height, 0, 255));
      colors1D[w*j + i] = floor(map(j, 0, height, 0, 255));
      //*/
    }
   }
}

void draw(){
  background(0);
  
  for(int i = 0; i< width; i++){
    for(int j = 0; j < height; j++){
      //stroke(colors2D[i][j]);
      stroke(colors1D[w*j + i]); //equivalent
      point(i,j);
    }
  }
}
