int w = 400;
int h = 400;

PImage img;

void setup() {
   size(w, h);
   img = createImage(w, h, ALPHA); //or RGB/ARGB
   img.loadPixels(); //always call before modifying pixels
   for(int i = 0; i< img.pixels.length; i++){
      //Noise
      //img.pixels[i] = color(floor(random(255))); 
      //* Gradient
      int r = floor((float)i/height); //row
      int c = i%width; //column
      int a = floor(map(r, 0, height, 0, 255)); //alpha value
      img.pixels[i] = color(a);
      //*/
   }
   img.updatePixels(); //always call after modifying pixels
}

void draw(){
  background(0);
  image(img, 0, 0);
}
